import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.*;
import java.io.Serializable;
public class HWGameState extends JComponent implements Serializable{
	private static final long serialVersionUID = 1;
	private int kills, lives, points, coins, level;

	public HWGameState(HWDisplay frame) {
		this.setPreferredSize(new Dimension(512,20));
		reset();
	}
	public void reset() {
		kills = 0;
		lives = 5;
		points = 0;
		coins = 0;
		level = -1;
	}
	
	public int getLevel() {
		return level;
	}
	public void setLevel(int level) {
		this.level = level;
	}
	public int getCoins() {
		return coins;
	}
	public void setCoins(int coins) {
		this.coins = coins;
	}
	public void addCoins(int coins) {
		this.coins += coins;
	}
	public int getLives() {
		return lives;
	}
	public void setLives(int lives) {
		this.lives = lives;
	}
	public void addLives(int lives) {
		this.lives += lives;
	}
	public int getKills() {
		return kills;
	}
	public void setKills(int kills) {
		this.kills = kills;
	}
	public void addKills(int kills) {
		this.kills += kills;
	}
	public int getPoints() {
		return points;
	}
	public void setPoints(int points) {
		this.points = points;
	}
	public void addPoints(int points) {
		this.points += points;
	}
	protected void paintComponent(Graphics g) {
		g.drawString("Kills: "+kills, 5, 15);
		g.drawString("Lives: "+lives, 176, 15);
		g.drawString("Points: "+points, 346, 15);
	}
}
